//+------------------------------------------------------------------+
//|                                                       EA pfi.mq4 |
//|                                                              DWP |
//|                                                          http:// |
//+------------------------------------------------------------------+
#property copyright "DWP"
#property link      "http://"

extern   int      TakeProfit     = 20;
extern   int      StopLoss       = 20;
extern   double   Lot            = 1.0;
extern   int      Slippage       = 3;

double            dPoint         = 0;


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
      CekDigitBroker(); // Periksa Jumlah Digit Broker
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   int      iTrade=0;
   double   dUptrend=0, dDowntrend=0;

   dUptrend    =  iCustom(Symbol(),0,"pfi",6,2250,13,0,0);
   dDowntrend  =  iCustom(Symbol(),0,"pfi",6,2250,13,1,0);

   Comment("EA pfi \nDWP\nhttp://profitforexindoblogspot.com");   
   
   if(OrdersTotal()<1)
   {
         if((dUptrend==1 && dDowntrend==0))
         {
            Buy();
         }
   }
   else
   {
         if((dUptrend==0 && dDowntrend==1))
         {
            Sell();
         }
   }

  for(iTrade=0;iTrade<OrdersTotal();iTrade++)
  {
     OrderSelect(iTrade,SELECT_BY_POS,MODE_TRADES);
      
     if(OrderType()==OP_BUY && OrderSymbol()==Symbol())
     {
         if((dUptrend==1 && dDowntrend==0))
         {
            OrderClose(OrderTicket(),OrderLots(),Bid,Slippage,Violet);
         }
     }
     else
     {
         if((dUptrend==0 && dDowntrend==1))
         {
            OrderClose(OrderTicket(),OrderLots(),Ask,Slippage,Violet);
            
         }
     }
      
  }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

/* Kumpulan Library */

//Memeriksa jumlah digit broker
void CekDigitBroker()
{
   if(Digits==3 || Digits==5)
   {
      dPoint = Point*10;
   }
   else if(Digits==2 || Digits==4)
   {
      dPoint = Point;
   }
}

/* Melakukan OP Buy */
void Buy()
{
    OrderSend(Symbol(),OP_BUY,Lot,Ask,Slippage,Bid-StopLoss*dPoint,Ask+TakeProfit*dPoint,0);        

}

/* Melakukan OP Sell */
void Sell()
{
    OrderSend(Symbol(),OP_SELL,Lot,Bid,Slippage,Ask+StopLoss*dPoint,Bid-TakeProfit*dPoint,0);
}